using System;

namespace ConsoleApp4
{
    class Program
    {
        static void Main(string[] args)
        {
            String ulaz = Convert.ToString(Console.ReadLine());
            String pk = "";
            int izlaz = 0;
            for (int i = 0; i < ulaz.Length; i++)
            {
                if (ulaz[i].ToString() == pk) izlaz += 2;
                pk = ulaz[i].ToString();
            }
            Console.WriteLine(izlaz);
        }
    }
}